const questions = [{
        'q': 'How old are you?',
        'a': "I'm " + getAge() + " years old. This automatically updates now, too, so I won't ever forget to update it again!"
    },
    {
        'q': 'Where are you from?',
        'a': "I am from Neuss, Germany and I'm currently living and going to university in Aachen, Germany."
    },
    {
        'q': 'Why are you called Ellpeck?',
        'a': "Well, it actually isn't as interesting of a story as some of you might hope. Long story short, when I was little (and was, apparently, very bad at English), I decided to make a YouTube channel called \"LetsPlayEveryGames.\" Shortly after, I also made a Minecraft account that I was going to call the same thing. At the time, though, there was a limit for how many characters your name could have, and so I opted for calling myself \"LPEG\" instead. When a friend of mine came along and started trying to pronounce that name, instead of saying each individual letter on its own, he started pronouncing it like a word: Ell-Peg. ...Ellpeck. I liked that pronounciation and so I stuck with the name."
    },
    {
        'q': "What's your gender?",
        'a': "I like to think this is pretty clear, but in case anyone is wondering anyway: I'm male."
    },
    {
        'q': "What's your sexual orientation?",
        'a': 'I like cute guys.'
    },
    {
        'q': 'Are you in a relationship?',
        'a': 'I feel like my relationship status is constantly "It\'s complicated".'
    },
    {
        'q': 'What languages do you speak?',
        'a': 'German, English, Java, JavaScript, C# and a bit of C, HTML and CSS.'
    },
    {
        'q': "What's your job/occupation?",
        'a': "I'm currently studying Computer Science at the <a href=\"https://www.rwth-aachen.de/\">RWTH Aachen</a>. I don't have a job on the side or anything, though."
    },
    {
        'q': 'What do you use to code?',
        'a': "For my Java projects, I use IntelliJ IDEA. For most of my other projects, which are usually rather small, I use Atom because it's simple and fast."
    },
    {
        'q': 'How did you make this site?',
        'a': 'I made this page myself using <a href="https://getbootstrap.com/">Bootstrap</a>. I have something to confess, though: Most of the content on this page is dynamically generated using JavaScript. I think it\'s practical and useful to do this, but I also know that it\'s bad practice because it gives search engines and some other stuff a bit of trouble. Oh well. If you\'re curious about the (probably pretty messy) code, then you can check out the <a href="https://github.com/Ellpeck/Web">GitHub repository</a>.'
    },
    {
        'q': 'Tabs or spaces?',
        'a': (Math.random() >= 0.5 ? 'Tabs' : 'Spaces') + '.'
    }
];

let a = '';
for (question of questions) {
    a += '<p>';
    a += '<strong>Q: ' + question['q'] + '</strong><br>';
    a += '<strong>A:</strong> ' + question['a'];
    a += '</p>';
}
$('#about-list').html(a);

function getAge() {
    let birthdayMillis = Date.UTC(1999, 05, 21);
    let todayMillis = Date.now();
    let ageSinceStart = new Date(todayMillis - birthdayMillis);
    return ageSinceStart.getUTCFullYear() - 1970;
}